<?php
session_start();
include('config.php');
include($rutaPhp.$rutaHtml.'/maqueta/includes.php');

include($rutaPhp.$rutaHtml.'/acceso/control.php');
include($rutaPhp.$rutaHtml.'/maqueta/arriba.php');

include($rutaPhp.$rutaHtml.'/librerias/teclado.php');
include($rutaPhp.$rutaHtml.'/librerias/teclado-multilinea.php');
include($rutaPhp.$rutaHtml.'/librerias/calculadora.php');
include($rutaPhp.$rutaHtml.'/librerias/calendario.php');

$gestionLineas=($_SESSION['parametrosSGA']['GestionLineasTrabajo']=='S');
$gestionTurnos=($_SESSION['parametrosSGA']['GestionTurnosTrabajo']=='S');

if($_GET['palet']) $palet=$_GET['palet'];
//Añadimos la transf porque tras hacer traspasos, la trazabilidad da dos transformaciones distintas en un mismo palet
if($_GET['transformacion']) $transformacion=$_GET['transformacion'];

//Recarga de datos
$peticion='SGAControlesCalidad#'.$_SESSION['empresa'].'#'.$_SESSION['usuario']['Usuario'].'#LISTADONOCONFORMES#'.$palet.';'.$transformacion;
$resultado=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);

if($_GET['traza']=='si') {
	echo '<p>'.$peticion.'</p>';
	print_r($resultado);
}


$listado=arreglaArrayPXMobileProxiumResult($resultado[0]['ControlesCalidadPendientes']);

//27-12-2022 pasando como ultimo parametro el palet, ya llega filtraod y con los bloques de datos adicionales (que hemos liberado del listado)
$lineaPalet=$listado['PXMobileProxiumResult'];



$lineas=arreglaArrayPXMobileProxiumResult($resultado[0]['LineasTrabajo']);
$turnos=arreglaArrayPXMobileProxiumResult($resultado[0]['TurnosTrabajo']);



foreach($listado as $item) {
	//Atención: se presupone que se va a hacer control de calidad POR PALET con lo cual no puede aparecer dos veces
	if($item['Palet']==$palet) $lineaPalet=$item;
}

if($_GET['traza']=='si') {
	echo "<p>linea:</p>";
	print_r($lineaPalet);
}

if($lineaPalet) {


	$_SESSION['ProductosUtilizados']=arreglaArrayPXMobileProxiumResult($lineaPalet['ProductosUtilizados']); //Esto para el detalle del producto
	
	//DOCUMENTOS
	if( $lineaPalet['Documentos'] ) {
		$_SESSION['documentos']=arreglaArrayPXMobileProxiumResult($lineaPalet['Documentos']);
    	$mostrarMenuDocumentos=true;
	}
	else unset($_SESSION['documentos']);



	$lotes=array();
	foreach(arreglaArrayPXMobileProxiumResult($lineaPalet['Lotes']) as $item) $lotes[]=$item;
	$cuantosLotes=count($lotes);


	

	
	if($_POST['enviar']==1) {
	
		$parametros =$lineaPalet['Transformacion'].';'.$lineaPalet['Producto'].';'.$lineaPalet['Cliente'].';'.$lineaPalet['Palet'];
		$parametros.=';'.$_POST['lineaTrabajo'].';'.$_POST['turnoTrabajo'];
		
		//SGAControlesCalidad#EMP#USU#CIERRENOCONFORME#TRANSFORMACION;ARTICULO;CLIENTE;PALET;LINEA;TURNO
		
		$peticion ='SGAControlesCalidad#'.$_SESSION['empresa'].'#'.$_SESSION['usuario']['Usuario'].'#CIERRENOCONFORME#'.$parametros;
		

		
		$resultado=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);
		
		if($_GET['traza']=='si') {
			echo '<p>Procesamiento</p>';
			echo '<p>'.$peticion.'</p>';
			print_r($resultado);
		}
		
		$valores=explode('#',$resultado[0]['Error']);
		
		if($valores[0]=='0') {
			?>
            <script>
				alert('<?php echo $valores[1]; ?>',null,'ok')
				.done(function(){
					<?php if($_GET['traza']!='si') { ?>
					$('#popupCargando').show();
					window.location='calidad-controles-no-conformes.php';
					<?php } ?>
				});
            </script>
            <?php
		}
		else {
			?>
            <script>alert('ERROR: <?php echo $valores[1]; ?>',null,'error');</script>
            <?php
		}
	
	}
	
	
	if(true) {
	
		?>
        
        <form id="fomularioCalidad" name="fomularioCalidad" method="post" action="">
        
		<h2>Control de Calidad No Conforme</h2>
        
        <div id="popupDocumentos" class="popup" style="display:none"></div>
		<div id="popupDocumentosContenido" class="popupContenidoScroll" style="display:none"></div>
        
        <div id="popupInfoProductoObtenido" class="popup" style="display:none"></div>
		<div id="popupInfoProductoObtenidoContenido" class="popupContenidoScroll" style="display:none"></div>
        
        <table class="tablaFormateada2022 anchoMaximo">
        
            <tr style="white-space:nowrap">
                <th>Palet</th>
                <th>Producto</th>
                <th>Descripción</th>
                
                
                <?php $traductorComportamientosGestion=array('REGE'=>'GestionRegimen','LT'=>'GestionLote','FCAD'=>'GestionCaducidad','IDI'=>'GestionIdioma','PRECEMP'=>'GestionPrecinta'); ?> 
                <?php foreach($_SESSION['comportamientos'] as $comportamiento) { ?>
					<?php if($comportamiento['Activo']=='S' && $lineaPalet[$traductorComportamientosGestion[$comportamiento['Codigo']]]=='S') { ?><th><?php echo $comportamiento['Nombre']; ?></th><?php } ?>
                <?php } ?>
                <!--
                <th>Lote</th>
                <th>Caducidad</th>
                -->
                
                <th>Cantidad</th>
				<th>Transformación</th>
                <th>Ref. Cliente</th>
                <th>Desde</th>
                <th>Linea</th>
                <th>Turno</th>
                <th>Usuario</th>
            </tr>
        
            <tr>
        		<td rowspan="<?php echo $cuantosLotes; ?>"><?php echo $lineaPalet['Palet']; ?></td>
                <td rowspan="<?php echo $cuantosLotes; ?>"><?php echo $lineaPalet['Producto']; ?></td>
                <td rowspan="<?php echo $cuantosLotes; ?>"><?php echo $lineaPalet['ProductoNombre']; ?></td>
                
                <?php
				$traductorComportamientos=array('REGE'=>'Regimen','LT'=>'NumLote','FCAD'=>'FechaCaducidad','IDI'=>'Idioma','PRECEMP'=>'Precinta');
				?>
				<?php foreach($_SESSION['comportamientos'] as $comportamiento) { ?>
					<?php if($comportamiento['Activo']=='S' && $lineaPalet[$traductorComportamientosGestion[$comportamiento['Codigo']]]=='S') { ?>
					<td valign="middle">
					<?php echo formateaTipo($lotes[0][$traductorComportamientos[$comportamiento['Codigo']]],$comportamiento['Tipo']); ?>
					</td>
					<?php } ?>
				<?php } ?>
                <!--
                <td><?php echo $lotes[0]['NumLote']; ?></td>
                <td><?php echo fechaNacional(fechaDesdeProxium($lotes[0]['FechaCaducidad'])); ?></td>
                -->
                
                <td><?php echo formateaNumeroDecimal($lotes[0]['Cantidad'],true); ?></td>
                
                <td rowspan="<?php echo $cuantosLotes; ?>"><?php echo $lineaPalet['Transformacion']; ?></td>
                <td rowspan="<?php echo $cuantosLotes; ?>"><?php echo $lineaPalet['RefCliente']; ?></td>
                <td rowspan="<?php echo $cuantosLotes; ?>"><?php echo $lineaPalet['FechaHoraCierre']; ?></td>
				<td rowspan="<?php echo $cuantosLotes; ?>"><?php echo $lineaPalet['LineaTrabajoNombre']; ?></td>
                <td rowspan="<?php echo $cuantosLotes; ?>"><?php echo $lineaPalet['TurnoNombre']; ?></td>
                <td rowspan="<?php echo $cuantosLotes; ?>"><?php echo $lineaPalet['Usuario']; ?></td>  
            </tr>
            
             <?php if($cuantosLotes>1) { ?>
            
            <?php for($i=1;$i<$cuantosLotes;$i++) { ?>
            
                <tr>
                
                	 <?php foreach($_SESSION['comportamientos'] as $comportamiento) { ?>
						<?php if($comportamiento['Activo']=='S' && $lineaPalet[$traductorComportamientosGestion[$comportamiento['Codigo']]]=='S') { ?>
						<td valign="middle">
						<?php echo formateaTipo($lotes[$i][$traductorComportamientos[$comportamiento['Codigo']]],$comportamiento['Tipo']); ?>
						</td>
						<?php } ?>
					<?php } ?>
                    <!--
                    <td><?php echo $lotes[$i]['NumLote']; ?></td>
                    <td><?php echo fechaNacional(fechaDesdeProxium($lotes[$i]['FechaCaducidad'])); ?></td>
                    -->
                    
                    <td><?php echo formateaNumeroDecimal($lotes[$i]['Cantidad'],true); ?></td>
                
                </tr>
            
            <?php } ?>
            
        <?php } ?>

		</table>
        
        <p>Observaciones a la no conformidad:</p>
        <textarea name="observacionesNoConformidad" id="observacionesNoConformidad" cols="45" rows="5" class="campo" style="text-align:left" readonly><?php echo $lineaPalet['ObservacionesNoConforme']; ?></textarea>
        
        <?php if($gestionLineas) { ?>
            
            	<p>Línea de Trabajo:<br />
                  <select name="lineaTrabajo" id="lineaTrabajo" class="campo">
                    <option value="" selected>Seleccionar...</option>
                    <?php foreach ($lineas as $linea) { ?>
                    <option value="<?php echo $linea['LineaTrabajoCodigo']; ?>"><?php echo $linea['LineaTrabajoDescripcion']; ?></option>
                    <?php } ?>
                  </select>
                </p>
            
            <?php } ?>
            
            <?php if($gestionTurnos) { ?>
            
            	<p>Turno de Trabajo:<br />
                  <select name="turnoTrabajo" id="turnoTrabajo" class="campo">
                    <option value="" selected>Seleccionar...</option>
                    <?php foreach ($turnos as $turno) { ?>
                    <option value="<?php echo $turno['TurnoTrabajoCodigo']; ?>" <?php if($turno['TurnoTrabajoPredeterminado']=='S') { ?>selected<?php } ?>><?php echo $turno['TurnoTrabajoDescripcion']; ?></option>
                    <?php } ?>
                  </select>
                </p>
            
            <?php } ?>
        
        
        <input type="hidden" id="enviar" name="enviar" value="" />
        
		<p><input type="button" name="botonEnviar" id="botonEnviar" value="CERRAR" class="boton"/></p>
        
        </form>
        
        
		
		<script>
		
			function enviaFormulario() {
			
				confirm('Se va a proceder a cerrar la revisión del control no conforme.<br>¿Deseas proceder?','advertencia')
				.done(function(){
					$('#popupCargando').show();
					$('#enviar').val(1);
					$('#fomularioCalidad').submit();
				});
				
			}
		
			function validaCampos() {
			
				if(false) {
				}
				<?php if($gestionLineas) { ?>
				else if($('#lineaTrabajo').val()=='') {
					alert('ERROR: Debes informar la Linea de Trabajo.',null,'error');
				}
				<?php } ?>
				<?php if($gestionTurnos) { ?>
				else if($('#turnoTrabajo').val()=='') {
					alert('ERROR: Debes informar el Turno de Trabajo.',null,'error');
				}
				<?php } ?>
				else {
					enviaFormulario();
				}
			
			}
			
			$(document).ready(function() {
			
				
			
				$('#botonEnviar').on('click',function(){
					
					validaCampos();
				
				});
				
				
				
			});
			
		</script>
		
		<?php
	}
	else $error=$resultado[0]['Error'];
	
}
else $error='1#Palet no encontrado en el listado de Controles de Calidad no conformes pendientes.';

if($error) {
	$valores=explode('#',$error)
	?>
    <script>
		alert('<?php echo $valores[1]; ?>',null,'error')
		.done(function(){
			$('#popupCargando').show();
            window.location='calidad-controles-no-conformes.php';
		});
	</script>
    <?php
}

?>

<script>
        
	$(document).ready(function() {
        
		$('#botonVolver').on("click",function(e){
        	e.preventDefault();
            $('#popupCargando').show();
            window.location='calidad-controles-no-conformes.php';
		});
    
	});
        
</script>

<?php	
include($rutaPhp.$rutaHtml.'/maqueta/menu-calidad.php');

include($rutaPhp.$rutaHtml.'/maqueta/abajo.php');
?>